"use strict";

function actionClick(event) {
  const id = event.currentTarget.id;
  
  const result = document.querySelector(".result");
  if(result.textContent=="") {
    result.textContent  = "You clicked on a "+id;
    activate_cancel_button();
  }
  else {
    result.textContent += ", and then on a "+id;
  }

  const cancel = document.querySelector(".cancel");
  cancel.classList.remove("invisible");
  cancel.addEventListener('click', actionClickCancel);
}

function activate_cancel_button() {
  const cancel = document.querySelector(".cancel");
  cancel.classList.remove("invisible");
  cancel.addEventListener('click', actionClickCancel);
}
function deactivate_cancel_button() {
  const cancel = document.querySelector(".cancel");
  cancel.classList.add("invisible");
  cancel.removeEventListener('click', actionClickCancel);
}

function actionClickCancel(event) {
  const result = document.querySelector(".result");
  result.textContent = "";
  deactivate_cancel_button();
}


//Ensure that result text is initially empty
document.querySelector(".result").textContent = "";

// Listen to the click on all images
const images = document.querySelectorAll("img");
for( let k=0; k<images.length; k++ ) {
  const image = images[k];
  image.addEventListener('click', actionClick);
}